diff -aburN --exclude='CVS*' phpgroupware16/tts/setup/setup.inc.php phpgroupware/tts/setup/setup.inc.php
--- phpgroupware16/tts/setup/setup.inc.php	2004-05-03 21:37:41.000000000 -0400
+++ phpgroupware/tts/setup/setup.inc.php	2004-07-23 15:03:41.000000000 -0400
@@ -9,15 +9,14 @@
 	*  option) any later version.                                              *
 	\**************************************************************************/
 
-	/* $Id: setup.inc.php,v 1.6.4.2 2004/04/16 11:30:05 lpiepho Exp $ */
+	/* $Id: setup.inc.php,v 1.6 2002/01/07 10:50:42 seek3r Exp $ */
 
 	/* Basic information about this app */
 	$setup_info['tts']['name']                = 'tts';
 	$setup_info['tts']['title']               = 'Trouble Ticket System';
-	$setup_info['tts']['version']             = '0.9.16.001';
+	$setup_info['tts']['version']   = '0.8.1.003';
 	$setup_info['tts']['app_order']           = 99;
 	$setup_info['tts']['enable']              = 1;
-	$setup_info['todo']['globals_checked']    = True;
 
 	/* The tables this app creates */
 	$setup_info['tts']['tables']    = array(
@@ -35,6 +34,6 @@
 	/* Dependencies for this app to work */
 	$setup_info['tts']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('0.9.13','0.9.14', '0.9.16')
+		 'versions' => Array('0.9.13','0.9.14','0.9.16')
 	);
 ?>
diff -aburN --exclude='CVS*' phpgroupware16/tts/setup/setup_info.inc.php phpgroupware/tts/setup/setup_info.inc.php
--- phpgroupware16/tts/setup/setup_info.inc.php	1969-12-31 19:00:00.000000000 -0500
+++ phpgroupware/tts/setup/setup_info.inc.php	2003-12-22 10:38:48.000000000 -0500
@@ -0,0 +1,3 @@
+<?php
+	$setup_info["tts"] = array("name" => "Trouble Ticket System", "app_order" => 99, "version" => "0.0.1");
+?>
diff -aburN --exclude='CVS*' phpgroupware16/tts/setup/tables_current.inc.php phpgroupware/tts/setup/tables_current.inc.php
--- phpgroupware16/tts/setup/tables_current.inc.php	2004-02-19 21:21:00.000000000 -0500
+++ phpgroupware/tts/setup/tables_current.inc.php	2003-12-22 10:38:48.000000000 -0500
@@ -9,7 +9,7 @@
   *  option) any later version.                                              *
   \**************************************************************************/
 
-  /* $Id: tables_current.inc.php,v 1.6.4.1 2004/01/20 05:03:42 jengo Exp $ */
+  /* $Id: tables_current.inc.php,v 1.6 2001/10/24 12:47:58 milosch Exp $ */
 
 	$phpgw_baseline = array(
 		'phpgw_tts_tickets' => array(
@@ -24,12 +24,7 @@
 				'ticket_billable_hours' => array('type' => 'decimal', 'precision' => 8, 'scale' => 2, 'nullable' => False),
 				'ticket_billable_rate'  => array('type' => 'decimal', 'precision' => 8, 'scale' => 2, 'nullable' => False),
 				'ticket_status'         => array('type' => 'char','precision' => 1, 'nullable' => False),
-				'ticket_details'        => array('type' => 'text','nullable' => False),
-				'ticket_type'           => array('type' => 'int', 'precision' => 2, 'nullable' => False),
-				'ticket_deadline'       => array('type' => 'varchar', 'precision' => 10, 'nullable' => False),
-				'ticket_effort'         => array('type' => 'varchar', 'precision' => 4, 'nullable' => False),
-				'ticket_platform'       => array('type' => 'int', 'precision' => 2, 'nullable' => False),
-				'ticket_attachment'     => array('type' => 'int', 'precision' => 2, 'nullable' => False)
+				'ticket_details'        => array('type' => 'text','nullable' => False)
 			),
 			'pk' => array('ticket_id'),
 			'ix' => array(),
diff -aburN --exclude='CVS*' phpgroupware16/tts/setup/tables_new.inc.php phpgroupware/tts/setup/tables_new.inc.php
--- phpgroupware16/tts/setup/tables_new.inc.php	1969-12-31 19:00:00.000000000 -0500
+++ phpgroupware/tts/setup/tables_new.inc.php	2003-12-22 10:38:48.000000000 -0500
@@ -0,0 +1,42 @@
+<?php
+	$app_tables = array(
+		"ticket" => array(
+			"fd" => array(
+				"t_id"				=> array("type" => "auto", "nullable" => false),
+				"t_category"	=> array("type" => "varchar", "precision" => 40, "nullable" => True),
+				"t_detail"		=> array("type" => "text", "nullable" => True),
+				"t_priority"	=> array("type" => "int", "precision" => 2, "nullable" => False),
+				"t_user"			=> array("type" => "varchar", "precision" => 10, "nullable" => True),
+				"t_assignedto"	=> array("type" => "varchar", "precision" => 10, "nullable" => True),
+				"t_timestamp_opened"	=> array("type" => "int", "precision" => 2, "nullable" => False),
+				"t_timestamp_closed"	=> array("type" => "int", "precision" => 2, "nullable" => False),
+				"t_timestamp_subject"	=> array("type" => "varchar", "precision" => 255, "nullable" => True),
+				"t_department"	=> array("type" => "varchar", "precision" => 25, "nullable" => True),
+				"t_watchers"	=> array("type" => "text", "nullable" => True),
+			),
+			"pk" => array("t_id"),
+			"ix" => array(),
+			"fk" => array(),
+			"uc" => array()
+		),
+	"category" => array(
+			"fd" => array(
+				"c_id"				=> array("type" => "auto", "nullable" => false),
+				"c_department"	=> array("type" => "varchar", "precision" => 25, "nullable" => True),
+				"c_name"			=> array("type" => "varchar", "precision" => 40, "nullable" => True),
+			),
+			"pk" => array("c_id"),
+			"ix" => array(),
+			"fk" => array(),
+			"uc" => array()
+		),
+	"department" => array(
+			"fd" => array(
+				"d_name"			=> array("type" => "varchar", "precision" => 25, "nullable" => True),
+			),
+			"pk" => array(),
+			"ix" => array(),
+			"fk" => array(),
+			"uc" => array()
+		)
+	);
diff -aburN --exclude='CVS*' phpgroupware16/tts/TODO phpgroupware/tts/TODO
--- phpgroupware16/tts/TODO	1969-12-31 19:00:00.000000000 -0500
+++ phpgroupware/tts/TODO	2003-12-22 10:38:49.000000000 -0500
@@ -0,0 +1,7 @@
+$Id $
+
+- better look for visual notification of updated tickets
+- options for notification : 
+	- To : group / owner / assigned / nobody / fixed user
+	- Trigger on : Create / Update / Close
+- full text search
\ No newline at end of file
diff -aburN --exclude='CVS*' phpgroupware16/tts/version.inc.php phpgroupware/tts/version.inc.php
--- phpgroupware16/tts/version.inc.php	1969-12-31 19:00:00.000000000 -0500
+++ phpgroupware/tts/version.inc.php	2003-12-22 10:38:49.000000000 -0500
@@ -0,0 +1,14 @@
+<?php
+  /**************************************************************************\
+  * phpGroupWare                                                             *
+  * http://www.phpgroupware.org                                              *
+  * --------------------------------------------                             *
+  *  This program is free software; you can redistribute it and/or modify it *
+  *  under the terms of the GNU General Public License as published by the   *
+  *  Free Software Foundation; either version 2 of the License, or (at your  *
+  *  option) any later version.                                              *
+  \**************************************************************************/
+
+  /* $Id: version.inc.php,v 1.1 2001/05/10 03:23:11 skeeter Exp $ */
+
+  $phpgw_info["server"]["versions"]["tts"] = $phpgw_info["server"]["versions"]["phpgwapi"];
diff -aburN --exclude='CVS*' phpgroupware16/tts/viewticket_details.php phpgroupware/tts/viewticket_details.php
--- phpgroupware16/tts/viewticket_details.php	2004-05-03 21:37:39.000000000 -0400
+++ phpgroupware/tts/viewticket_details.php	2004-06-11 15:53:32.000000000 -0400
@@ -9,36 +9,34 @@
 	*  option) any later version.                                              *
 	\**************************************************************************/
 
-	// $Id: viewticket_details.php,v 1.42.2.6.4.4 2004/04/20 12:52:17 lpiepho Exp $
+	// $Id: viewticket_details.php,v 1.42.2.6 2002/06/09 01:44:03 skeeter Exp $
 	// $Source: /cvsroot/phpgroupware/tts/viewticket_details.php,v $
 
+        $submit = $HTTP_POST_VARS['submit'];
+        $close = $HTTP_POST_VARS['close'];
+
 	$GLOBALS['phpgw_info']['flags'] = array(
 		'enable_nextmatchs_class' => True,
 		'enable_categories_class' => True,
 		'enable_config_class' => True,
-		'currentapp'              => 'tts',
-		'enable_vfs_class' => True
+                'currentapp'              => 'tts'
 	);
-	$submit = $_POST['submit'];
-	$cancel = $_POST['cancel'];
-	$ticket_id = $_REQUEST['ticket_id'];
 
-	if($submit)
+        if($submit || $close)
 	{
 		$GLOBALS['phpgw_info']['flags']['noheader'] = True;
 		$GLOBALS['phpgw_info']['flags']['nonavbar'] = True;
-		$GLOBALS['phpgw_info']['flags']['enable_config_class'] = True;
 	}
+
 	include('../header.inc.php');
 	
 	$GLOBALS['phpgw']->config->read_repository();
 
-	if($cancel)
+        if($close)
 	{
 		$GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/tts/index.php'));
 	}
 	
-	
 	$GLOBALS['phpgw']->historylog = createobject('phpgwapi.historylog','tts');
 	$GLOBALS['phpgw']->historylog->types = array(
 		'R' => 'Re-opened',
@@ -50,11 +48,7 @@
 		'S' => 'Subject changed',
 		'B' => 'Billing rate',
 		'H' => 'Billing hours',
-		'G' => 'Group ownership changed',
-		'Y' => 'Type',
-		'D' => 'Deadline',
-		'E' => 'Effort',
-		'L' => 'Platform'
+		'G' => 'Group ownership changed'
 	);
 
 	if(!$submit)
@@ -84,24 +78,6 @@
 		$ticket['owner']          = $GLOBALS['phpgw']->db->f('ticket_owner');
 		$ticket['group']          = $GLOBALS['phpgw']->db->f('ticket_group');
 
-		$ticket['type']           = $GLOBALS['phpgw']->categories->id2name($GLOBALS['phpgw']->db->f('ticket_type'));		
-		if ($GLOBALS['phpgw']->db->f('ticket_deadline') == '0000-00-00')
-		{
-			$ticket['deadline'] = '';
-		}
-		$ticket['deadline'] = $GLOBALS['phpgw']->db->f('ticket_deadline');
-			
-		$ticket['effort']         = $GLOBALS['phpgw']->db->f('ticket_effort');
-		$ticket['platform']       = $GLOBALS['phpgw']->categories->id2name($GLOBALS['phpgw']->db->f('ticket_platform'));
-		
-		$GLOBALS['phpgw']->db->query("SELECT name from phpgw_vfs where directory like '/tts/" . $ticket_id . "' AND size > 0",__LINE__,__FILE__);
-		$x = 0;
-		while ($GLOBALS['phpgw']->db->next_record() != "")
-		{
-			$ticket['attachment'][$x] =  '/tts/' . $ticket_id . '/' . $GLOBALS['phpgw']->db->f('name');
-			++$x;
-		}
-		
 		$GLOBALS['phpgw']->template->set_file('viewticket','viewticket_details.tpl');
 		$GLOBALS['phpgw']->template->set_block('viewticket','options_select');
 		$GLOBALS['phpgw']->template->set_block('viewticket','additional_notes_row');
@@ -194,7 +170,7 @@
 			$GLOBALS['phpgw']->template->parse('options_group','options_select',true);
 		}
 
-		$GLOBALS['phpgw']->template->set_var('options_category',$GLOBALS['phpgw']->categories->formated_list('select','',$ticket['category'],False));
+		$GLOBALS['phpgw']->template->set_var('options_category',$GLOBALS['phpgw']->categories->formated_list('select','',$ticket['category'],$ticket['category'],True));
 
 		$ticket_status[$ticket['status']] = ' selected';
 		$s = '<option value="O"' . $ticket_status['O'] . '>' . lang('Open') . '</option>';
@@ -254,11 +230,6 @@
 				case 'H': $type = lang('Billable hours changed'); break;
 				case 'B': $type = lang('Billable rate changed'); break;
 				case 'G': $type = lang('Group ownership changed'); break;
-				case 'Y': $type = lang('Type changed'); break;
-				case 'D': $type = lang('Deadline changed'); break;
-				case 'E': $type = lang('Effort changed'); break;
-				case 'L': $type = lang('Platform changed'); break;
-				case 'M': $type = lang('Attachment added'); break;
 				default: break;
 			}
 
@@ -353,44 +324,9 @@
 		$GLOBALS['phpgw']->template->set_var('lang_billable_hours_rate',lang('Billable rate'));
 		$GLOBALS['phpgw']->template->set_var('value_billable_hours_rate',$ticket['billable_rate']);
 		
-		$GLOBALS['phpgw']->template->set_var('currency',$GLOBALS['phpgw_info']['user']['preferences']['common']['currency']);
-
-		$GLOBALS['phpgw']->template->set_var('lang_type',lang('Type'));
-		$GLOBALS['phpgw']->template->set_var('value_type',$ticket['type']);
-		
-		$GLOBALS['phpgw']->template->set_var('lang_deadline',lang('Deadline'));
-		$GLOBALS['phpgw']->template->set_var('value_deadline',$ticket['deadline']);
-		
-		$GLOBALS['phpgw']->template->set_var('lang_effort',lang('Effort'));
-		$GLOBALS['phpgw']->template->set_var('value_effort',$ticket['effort']);
-		
-		$GLOBALS['phpgw']->template->set_var('lang_platform',lang('Platform'));
-		$GLOBALS['phpgw']->template->set_var('value_platform',$ticket['platform']);
-
-		for($i=0; $i <= $x-1; $i++)
-		{
-		$file = $GLOBALS['phpgw']->link('/index.php',Array(
-															'menuaction' => 'tts.attachedFiles.show_file',
-															'file' => $ticket['attachment'][$i]
-															));															                                                            
-		$attLink .= "<a href=\"" . $file . "\" target=\"_NEW\">" . basename($ticket['attachment'][$i]) . " </a><br>";
-		}
-		$GLOBALS['phpgw']->template->set_var('lang_attachment',lang('Attachment'));
-		$GLOBALS['phpgw']->template->set_var('value_attachment',$attLink);
-		
 		$GLOBALS['phpgw']->template->set_var('lang_billable_hours_total',lang('Total billable'));
 		$GLOBALS['phpgw']->template->set_var('value_billable_hours_total',sprintf('%01.2f',($ticket['billable_hours'] * $ticket['billable_rate'])));
 
-		$type = CreateObject('tts.subcategories',$GLOBALS['phpgw_info']['user']['account_id'],'tts');
-		unset($s);
-		$s = '<select name="ticket[type]">' . $type->formated_list('select','appandtype',$type->getSubCatElementId('type',$ticket['type']),False) . '</select>';
-		$GLOBALS['phpgw']->template->set_var('option_type',$s);
-		
-		$platform = CreateObject('tts.subcategories',$GLOBALS['phpgw_info']['user']['account_id'],'tts');
-		unset($s);
-		$s = '<select name="ticket[platform]">' . $platform->formated_list('select','appandplatform',$platform->getSubCatElementId('platform',$ticket['platform']),False) .'</select>';
-		$GLOBALS['phpgw']->template->set_var('option_platform',$s);
-		
 		$GLOBALS['phpgw']->template->set_var('lang_assignedto',lang('Assigned to'));
 		if($ticket['assignedto'])
 		{
@@ -410,9 +346,11 @@
 		$GLOBALS['phpgw']->template->set_var('value_subject', stripslashes($ticket['subject']));
 
 		$GLOBALS['phpgw']->template->set_var('lang_additional_notes',lang('Additional notes'));
-		$GLOBALS['phpgw']->template->set_var('lang_ok', lang('Save'));
-		$GLOBALS['phpgw']->template->set_var('done_url',$GLOBALS['phpgw']->link('/tts/index.php'));
-		$GLOBALS['phpgw']->template->set_var('lang_done', lang('done'));
+		$GLOBALS['phpgw']->template->set_var('lang_ok', lang('OK'));
+                $GLOBALS['phpgw']->template->set_var('lang_close', lang('Close'));
+		$GLOBALS['phpgw']->template->set_var('close_action',$GLOBALS['phpgw']->link('/tts/index.php'));
+		//<input type="submit" value="{lang_close}" name="close">
+		//$GLOBALS['phpgw']->template->set_var('row_ticket_id','<a href="' . $GLOBALS['phpgw']->link('/tts/viewticket_details.php','ticket_id=' . $GLOBALS['phpgw']->db->f('ticket_id')) . '">' . $GLOBALS['phpgw']->db->f('ticket_id') . '</a>');
 
 		$GLOBALS['phpgw']->template->set_var('lang_category',lang('Category'));
 		$GLOBALS['phpgw']->template->set_var('value_category',$GLOBALS['phpgw']->categories->id2name($ticket['category']));
@@ -428,20 +366,6 @@
 		$GLOBALS['phpgw']->db->query("select * from phpgw_tts_tickets where ticket_id='$ticket_id'",__LINE__,__FILE__);
 		$GLOBALS['phpgw']->db->next_record();
 
-		$ticket['billable_hours'] = $_POST['ticket']['billable_hours'];
-		$ticket['billable_rate']  = $_POST['ticket']['billable_rate'];
-		$ticket['assignedto']     = $_POST['ticket']['assignedto'];
-		$ticket['category']       = $_POST['ticket']['category'];
-		$ticket['note']           = $_POST['ticket']['note'];
-		$ticket['priority']       = $_POST['ticket']['priority'];
-		$ticket['group']          = $_POST['ticket']['group'];
-		$ticket['status']         = $_POST['ticket']['status'];
-		$ticket['type']           = $_POST['ticket']['type'];
-		$ticket['deadline']       = $_POST['ticket']['deadline'];
-		$ticket['effort']         = $_POST['ticket']['effort'];
-		$ticket['platform']       = $_POST['ticket']['platform'];
-		$ticket['attachment']     = $_POST['ticket']['attachment'];
-		
 		$oldassigned = $GLOBALS['phpgw']->db->f('ticket_assignedto');
 		$oldpriority = $GLOBALS['phpgw']->db->f('ticket_priority');
 		$oldcategory = $GLOBALS['phpgw']->db->f('ticket_category');
@@ -449,12 +373,6 @@
 		$old_billable_hours = $GLOBALS['phpgw']->db->f('ticket_billable_hours');
 		$old_billable_rate = $GLOBALS['phpgw']->db->f('ticket_billable_rate');
 		$old_group   = $GLOBALS['phpgw']->db->f('ticket_group');
-		$old_type = $GLOBALS['phpgw']->db->f('ticket_type');
-		$old_deadline = $GLOBALS['phpgw']->db->f('ticket_deadline');
-		$old_effort = $GLOBALS['phpgw']->db->f('ticket_effort');
-		$old_platform = $GLOBALS['phpgw']->db->f('ticket_platform');
-		$old_attachment = $GLOBALS['phpgw']->db->f('ticket_attachment');
-		$old_details = $GLOBALS['phpgw']->db->f('ticket_details');
 		
 		$GLOBALS['phpgw']->db->transaction_begin();
 
@@ -471,14 +389,26 @@
 		** B - Billing rate
 		** H - Billing hours
 		** G - Group
-		** Y - Type
-		** D - Deadline
-		** E - Effort
-		** L - Platform
-		** M - Attachment
 		*/
 
+		if($old_status != $ticket['status'])
+		{
+ 			//only allow assigned-to or admin members to close tickets
+			if(($GLOBALS['phpgw_info']['user']['account_id'] == $oldassigned) ||
+				($GLOBALS['phpgw']->acl->get_specific_rights('Admins','phpgw_group')))
+			{
+				$fields_updated = True;
+				$GLOBALS['phpgw']->historylog->add($ticket['status'],$ticket_id,$ticket['status'],$old_status);
 		
+				$GLOBALS['phpgw']->db->query("update phpgw_tts_tickets set ticket_status='"
+					. $ticket['status'] . "' where ticket_id='$ticket_id'",__LINE__,__FILE__);
+			}
+ 			else
+			{
+				$messages .= '<br>You can only close a ticket if it is assigned to you.';
+				$GLOBALS['phpgw']->session->appsession('messages','tts',lang($messages));
+			}
+		}
 
 		if($old_group != $ticket['group'])
 		{
@@ -512,7 +442,7 @@
 			$GLOBALS['phpgw']->historylog->add('T',$ticket_id,$ticket['category'],$oldcategory);
 		}
 
-		if($old_billable_hours != $ticket['billable_hours'] && $ticket['billable_hours'])
+		if($old_billable_hours != $ticket['billable_hours'])
 		{
 			$fields_updated = True;
 			$GLOBALS['phpgw']->db->query("update phpgw_tts_tickets set ticket_billable_hours='" . $ticket['billable_hours']
@@ -520,7 +450,7 @@
 			$GLOBALS['phpgw']->historylog->add('H',$ticket_id,$ticket['billable_hours'],$old_billable_hours);
 		}
 
-		if($old_billable_rate != $ticket['billable_rate'] && $ticket['billable_rate'])
+		if($old_billable_rate != $ticket['billable_rate'])
 		{
 			$fields_updated = True;
 			$GLOBALS['phpgw']->db->query("update phpgw_tts_tickets set ticket_billable_rate='" . $ticket['billable_rate']
@@ -528,84 +458,6 @@
 			$GLOBALS['phpgw']->historylog->add('B',$ticket_id,$ticket['billable_rate'],$old_billable_rate);
 		}
 
-		if ($old_type != $ticket['type'] && $ticket['type'] != "")
-		{
-			$fields_updated = True;
-			$GLOBALS['phpgw']->db->query("update phpgw_tts_tickets set ticket_type='" . $ticket['type']
-				. "' where ticket_id='$ticket_id'",__LINE__,__FILE__);
-			$GLOBALS['phpgw']->historylog->add('Y',$ticket_id,$ticket['type'],$old_type);
-		}
-
-		if ($old_deadline != $ticket['deadline'] && $ticket['deadline'] != "")
-		{
-			$fields_updated = True;
-			$GLOBALS['phpgw']->db->query("update phpgw_tts_tickets set ticket_deadline='" . $ticket['deadline']
-				. "' where ticket_id='$ticket_id'",__LINE__,__FILE__);
-			$GLOBALS['phpgw']->historylog->add('D',$ticket_id,$ticket['deadline'],$old_deadline);
-		}
-
-		if ($old_effort != $ticket['effort'] && $ticket['effort'] != "")
-		{
-			$fields_updated = True;
-			$GLOBALS['phpgw']->db->query("update phpgw_tts_tickets set ticket_effort='" . $ticket['effort']
-				. "' where ticket_id='$ticket_id'",__LINE__,__FILE__);
-			$GLOBALS['phpgw']->historylog->add('E',$ticket_id,$ticket['effort'],$old_effort);
-		}
-		
-		if ($old_platform != $ticket['platform'] && $ticket['platform'] != "")
-		{
-			$fields_updated = True;
-			$GLOBALS['phpgw']->db->query("update phpgw_tts_tickets set ticket_platform='" . $ticket['platform']
-				. "' where ticket_id='$ticket_id'",__LINE__,__FILE__);
-			$GLOBALS['phpgw']->historylog->add('L',$ticket_id,$ticket['platform'],$old_platform);
-		}
-		
-		if ($HTTP_POST_FILES['attachment']['name'] != '')
-		{
-			$fields_updated = True;
-			$attdir = "/tts/" . $ticket_id;
-			$basedir = $GLOBALS['basedir'] . "/tts";
-			
-			if (!file_exists($basedir . "/" . $attdir))
-			{
-				$GLOBALS['phpgw']->vfs->override_acl = 1;
-				$GLOBALS['phpgw']->vfs->mkdir (array (
-						'string' => $attdir,
-						'relatives' => array (RELATIVE_ALL)));
-				$GLOBALS['phpgw']->vfs->override_acl = 0;
-			}
-						
-			$GLOBALS['phpgw']->vfs->override_acl = 1;
-			$GLOBALS['phpgw']->vfs->cp(array (
-						'from'	=> $HTTP_POST_FILES['attachment']['tmp_name'],
-						'to'	=> $attdir . '/' . $HTTP_POST_FILES['attachment']['name'],
-						'relatives'	=> array (RELATIVE_NONE|VFS_REAL, RELATIVE_ALL)));
-			$GLOBALS['phpgw']->vfs->override_acl = 0;
-			
-			$GLOBALS['phpgw']->historylog->add('M',$ticket_id,$HTTP_POST_FILES['attachment']['name'],'');
-		}
-		
-
-		if($old_status != $_POST['ticket']['status'])
-		{
- 			//only allow assigned-to or admin members to close tickets
-			if(($GLOBALS['phpgw_info']['user']['account_id'] == $oldassigned) ||
-				($GLOBALS['phpgw']->applications->data['admin']['enabled'] == 1))
-			{
-
-				$fields_updated = True;
-				$GLOBALS['phpgw']->historylog->add($_POST['ticket']['status'],$ticket_id,$_POST['ticket']['status'],$old_status);
-
-				$GLOBALS['phpgw']->db->query("update phpgw_tts_tickets set ticket_status='"
-					. $_POST['ticket']['status'] . "' where ticket_id='$ticket_id'",__LINE__,__FILE__);
-			}
- 			else
-			{
-				$messages .= '<br>You can only close a ticket if it is assigned to you.';
-				$GLOBALS['phpgw']->session->appsession('messages','tts',lang($messages));
-			}
-		}
-		
 		if($ticket['note'])
 		{
 			$fields_updated = True;
